function onTalk()
	local location = ""
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(2000, 300, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Ladder_loc_0",
		requires =
		function ()
			if location == "Ladder_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2320, 180, "Laddering")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Ladder_loc_1",
		requires =
		function ()
			if location == "Ladder_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2000, -40, "Laddering")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Ladder_loc_2",
		requires =
		function ()
			if location == "Ladder_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2460, -180, "Laddering2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Ladder_loc_3",
		requires =
		function ()
			if location == "Ladder_3" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2560, 160, "Laddering2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
